## calypso.util
Class SelfTest

    java.lang.Object
      |
      +--calypso.util.SelfTest

public class SelfTest
extends java.lang.Object

SelfTest for calypso.util package

Constructor Summary
`SelfTest()` Default constructor

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `runAllTests()`
`void` | `runAtomTest()`
`void` | `runIDMapTest()`
`void` | `runRWLockTest()`
`void` | `runStressTest()`
`void` | `runThreadTest()`
`void` | `runUnitTest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelfTest

    public SelfTest()

  Default constructor

Method Detail

### main

    public static void main(java.lang.String[] args)

### runAllTests

    public void runAllTests()
                     throws SelfTestException

### runUnitTest

    public void runUnitTest()
                     throws SelfTestException

### runThreadTest

    public void runThreadTest()
                       throws SelfTestException

### runStressTest

    public void runStressTest()
                       throws SelfTestException

### runIDMapTest

    public void runIDMapTest()
                      throws SelfTestException

### runAtomTest

    public void runAtomTest()
                     throws SelfTestException

### runRWLockTest

    public void runRWLockTest()
                       throws SelfTestException